## edu.stanford.nlp.ling
Interface SentenceProcessor<I extends HasWord,O extends HasWord>

All Known Implementing Classes:
  MaxentTagger

    public interface SentenceProcessor<I extends HasWord,O extends HasWord>

This is a simple interface for applying a transformer to a `Sentence`. It typically is called iteratively over sentences in a `Sentencebank`

Author:
  Christopher Manning, Sarah Spikes (sdspikes@cs.stanford.edu) (Templatization)

Method Summary
`ArrayList<O>` `processSentence(ArrayList<I> s)` Does whatever one needs to do to a particular sentence.

Method Detail

### processSentence

    ArrayList<O> processSentence(ArrayList<I> s)

  Does whatever one needs to do to a particular sentence.

  Parameters:
    `s` - A sentence. Classes implementing this interface can assume that the sentence passed in is not null.

Stanford NLP Group